Subject: Re: bug#2459: 22.2.1: global-font-lock-mode does not turn off colors: ido.el, minibuffer prompt

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Feb 2009 11:49:07 -0500

> These features, and several other places that use colour, are not
> implemented using font-lock, so toggling global-font-lock-mode has no
> effect. In this specific case, you can set ido-use-faces and customize
> the minibuffer-prompt face.

Several places now use the `font-lock-face' property so that toggling
font-lock indeed also toggles the corresponding highlighting.  Maybe we
should use that a bit more.

This said, font-lock has traditionally been used for the highlighting of
buffer's contents, as opposed to modelines, menu-bars, and minibuffers.

What Jari seems to be suggesting is to let the minibuffer highlighting
obey font-lock as well.  Maybe it's a good idea.  I do not know.

        Stefan